class HttpModel
  attr_accessor :ip, :port, :serviceType, :serviceName

  DEFAULT_OPTIONS = {
    :groupPath => nil,
    :memberName => "default",
    :ip => nil,
    :port => nil,
    :serviceType => nil,
    :serviceName => nil,    
  }

  def initialize(options)
    raise "initialize HttpModel error, options can not be nil." if options == nil 
    #@options = DEFAULT_OPTIONS.merge(options)
    @ip = options[:ip]
    @port = options[:port]
    @serviceType = options[:serviceType]
    @serviceName = options[:serviceName]
  end

  def to_hash
    {
    :ip => @ip,
    :port => @port,
    :serviceType => @serviceType,
    :serviceName => @serviceName,    
    }
  end
end
