class ThriftModel
  attr_accessor :ip, :port, :serviceType, :serviceName, :workerSize, :selectorSize

  DEFAULT_OPTIONS = {
    :ip => nil,
    :port => nil,
    :serviceType => nil,
    :serviceName => nil,
    :workerSize => nil,
    :selectorSize => nil    
  }

  def initialize(options)
    raise "initialize ThriftModel error, options can not be nil." if options == nil 
    #@options = DEFAULT_OPTIONS.merge(options)
    @ip = options[:ip]
    @port = options[:port]
    @serviceType = options[:serviceType]
    @serviceName = options[:serviceName]
    @workerSize = options[:workerSize]
    @selectorSize =  options[:selectorSize]
  end

  def to_hash
    {
    :ip => @ip,
    :port => @port,
    :serviceType => @serviceType,
    :serviceName => @serviceName,
    :workerSize => @workerSize,
    :selectorSize => @selectorSize
    }
  end
end
